&product; &date; Developer Moritz Bunkus moritz@bunkus.org
&product;
1
&version;
&date;
MkvToolNix
User Commands

# &product;

a GUI for &mkvmerge; including a chapter and a header editor

## Synopsis

       mmg

         --edit-headers
         filename.mkv

        preferences-file.mmg
        source-file.ext

## Description

&mmg; is a wxWindows based GUI for &mkvmerge;. It offers easy access to all of &mkvmerge;'s options. All settings (e.g. source files, track options etc) can be saved and restored. Included is a chapter editor that can read OGM style and &xml; style chapter files, write &xml; style chapter files and even read chapters from &matroska; files and write chapters directly to &matroska; files. Included is also a header editor that can be used to quickly change properties of existing &matroska; files without needing a complete remux.

&mmg; knows few options. The first possibility is to start it with a single file name. If that file name's extenion is '`.mmg`' then it will be treated as a preferences file and &mmg; will load its setting when it starts. Otherwise the name is interpreted as being the name of an input file which will be added.

The second operation mode is invoked with the option `--edit-headers` and a file name. This lets &mmg; run its header editor and load the file.

The full documentation is available in HTML form (`doc/mkvmerge-gui.html`).

## See also

&mkvmerge;, &mkvextract;, &mkvinfo;, &mkvpropedit;

## WWW

The latest version can always be found at the MKVToolNix homepage.